Bug 760564 - UI should show virtual child pools as "children" of the parent.
UI should show virtual child pools as "children" of the parent.
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.X
Assigned To: Tom McKay
Tazim Kolhar
: Triaged
Depends On: 795431
Blocks: 766694 sam12-tracker
  Show dependency treegraph
 
Reported: 2011-12-06 09:21 EST by Bryan Kearney
Modified: 2016-04-25 20:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 766694 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:15:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Link to Required Host (105.49 KB, image/png)
2012-10-10 09:00 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Bryan Kearney 2011-12-06 09:21:48 EST
In the attached screen shot the virtual subsriptions are "children" of the physical ones and should be shown "under" the parent.
Comment 1 Tom McKay 2011-12-20 16:03:29 EST
commit 188b41664ed516b12c5d5c5068a6c2d2b131b384
Author: Tom McKay <thomasmckay@redhat.com>
Date:   Tue Dec 20 15:58:15 2011 -0500

    Bug 769372 - Second import subscriptions do not show up
    https://bugzilla.redhat.com/show_bug.cgi?id=769372
    + Problem was in providers_controller just getting the first subscription to check provider against; all subscriptions should have been checked.
    
    Bug 766694 - UI should show virtual child pools as "children" of the parent.
    https://bugzilla.redhat.com/show_bug.cgi?id=766694
    + Derived pools are no longer shown on the providers page; just the ones imported through the manifest.
Comment 3 Eric Sammons 2012-01-18 10:19:08 EST
Setting this NEW to confirm screenshot and expected behavior.

Reproducer:

1. Consume a physical subscription that include Guests.
2. Note under Organization/Subscriptions a new line item of Type Virtual.
   -Tied to the original subscription; see Contract number and SLA etc...
Comment 4 Tom McKay 2012-01-18 10:44:48 EST
To verify, consume a subscription that generates a bonus guest subscription. Visit the Red Hat providers page and confirm this bonus is not visible there (it should still be visible on the organizations / providers page).

eg. Consume "Red Hat Enterprise Linux Server, Self-support (1-2 sockets) (Up to 1 guest)" and note the new virtual subscription available.
Comment 6 Bryan Kearney 2012-02-21 11:31:15 EST
Need addition work from Candlepin (795431). Moving to 1.1
Comment 7 Tom McKay 2012-04-27 13:23:31 EDT
Will be handled in the "two-pane" subscriptions change
Comment 8 Tom McKay 2012-07-05 15:40:37 EDT
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: 9ed095cc7b9cba388f8d002483d89639fc12e1cc
      https://github.com/Katello/katello/commit/9ed095cc7b9cba388f8d002483d89639fc12e1cc
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-07-05 (Thu, 05 Jul 2012)

Subscriptions are now cross-referenced via links
Comment 9 Tazim Kolhar 2012-10-10 09:00:56 EDT
Created attachment 624860 [details]
Link to Required Host

VERIFIED :

rpm -qa | grep katello
katello-configure-1.1.11-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.1.8-1h.el6_3.noarch
katello-glue-candlepin-1.1.14-2h.el6_3.noarch
katello-cli-common-1.1.10-1h.el6_3.noarch
katello-selinux-1.1.2-1h.el6_3.noarch
katello-cli-headpin-0.2.2-1.el6_2.noarch
katello-headpin-1.1.14-2h.el6_3.noarch
katello-common-1.1.14-2h.el6_3.noarch
katello-headpin-all-1.1.14-2h.el6_3.noarch
Comment 11 errata-xmlrpc 2013-02-21 14:15:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.